Subject: Re: bug#21727: Tramp hangs in Windows
From: Michael Albinus <[email-masked]>
To: Arni Magnusson <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Oct 2015 22:56:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 21727 notabug

Arni Magnusson <[email-masked]> writes:

> What happens when I type ssh on my Windows machines is that it invokes
> some random ssh program that happens to be on my machines, but doesn't
> support the options that Linux users might expect. In other words,
> calling 'ssh' on a Windows machine with some options will result in an
> undefined and unpredictable behavior - in my case, hanging.
>
>> An alternative could be to install Emacs 25.0.50. This works pretty
>> stable, and Tramp has changed its test to be used w/o DNS. You find
>> weekly snapshots at <https://sourceforge.net/projects/emacs-bin/>.
>
> That's it. Emacs 25 loads Tramp without getting tangled up in the
> random ssh program that's installed on my machines. I'm sold.

Thanks for your tests, so it isn't a Tramp bug. I'm closing this report.

> Thanks for your help in identifying and solving the problem,
>
> Arni

Best regards, Michael.